Subject: bug#57639: [PATCH] Add new command 'toggle-theme'

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 19 Sep 2022 10:15:10 +0200

Philip Kaludercic <[email-masked]> writes:

> I don't think so, but if a theme were concerned about this, all they
> need to do is
>
> (put 'theme-name 'theme-properties '(:background-mode light :kind color-scheme))
>
> As that is all the macro does.

Ah, then that's fine -- feel free to push when you're ready.

> As I said, we could do this too and add
> a autoload-cookie before it to solve the visibility issue, but it
> doesn't look that nice...  Can (deftheme)s be autoloaded?

Hm...  well, anything can be put into the loaddefs.el file, really, so
yes, but I'm not sure we want to...